<?php

/**
 * SQL Solution's ODBC connection information.
 *
 * <p>This is part of the SQL Solution.  See the sql-common.inc file
 * for more information, the license, etc.</p>
 *
 * @package    SQLSolution
 * @author     Daniel Convissor <danielc@analysisandsolutions.com>
 * @copyright  The Analysis and Solutions Company, 2001-2006
 * @version    $Name: rel-6-6 $ $Id: sql-od-user.inc,v 5.5 2006-03-18 20:29:39 danielc Exp $
 * @link       http://www.analysisandsolutions.com/software/sql/sql.htm
 * @see        sql-common.inc
 */

/**
 * Obtain the code common to all DBMS'.
 */
require $IncludeDir . '/sql-common.inc';

/**
 * Obtain user defined code.
 */
require $IncludeDir . '/sql-custom.inc';

/**
 * Obtain DBMS specfic code.
 */
require $IncludeDir . '/sql-od.inc';


/**
 * SQL Solution's ODBC connection information.
 *
 * @package    SQLSolution
 * @author     Daniel Convissor <danielc@analysisandsolutions.com>
 * @copyright  The Analysis and Solutions Company, 2001-2006
 * @version    $Name: rel-6-6 $
 * @link       http://www.analysisandsolutions.com/software/sql/sql.htm
 */
class SQLSolution_ODBCUser extends SQLSolution_ODBCSpecifics {

    /**
     * Must be a system DSN.
     * @var  string
     */
    var $SQLDSN = '';

    /**
     *
     * @var  string
     */
    var $SQLUser = '';

    /**
     *
     * @var  string
     */
    var $SQLPassword = '';

    /**
     * The type of cursor to be used with this connection.
     *
     * This is optional.  Use 0 for none or one of the following constants:
     * SQL_CUR_USE_IF_NEEDED, SQL_CUR_USE_ODBC, SQL_CUR_USE_DRIVER
     * or SQL_CUR_DEFAULT
     *
     * @var  integer
     */
    var $SQLCursor = 0;


    /**
     *
     */
    function SQLSolution_ODBCUser($Escape = 'Y', $Safe = 'N') {
        $this->SQLClassName  = get_class($this);
        $this->SQLEscapeHTML = $Escape;
        $this->SQLSafeMarkup = $Safe;
    }
}
